using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using ProjectCarbon.Properties;
using ProjectCarbon.Protocols;

namespace ProjectCarbon
{
    static class Global
    {
        public static PacketCapture[] PacketCaptureArray;
        
        public static IPAddress[] LocalIPAddresses =
            Dns.GetHostEntry(Dns.GetHostName()).AddressList;
        
        public static List<IpProtocol> CapturedPackets = new List<IpProtocol>();

        public static List<int> FilteredPortList = new List<int>();
        public static bool PortFilterInclusive = true;
        public static List<string> FilteredProtocolList = new List<string>();
        public static bool ProtocolFilterInclusive = true;

        public delegate void PacketCapturedEvent(IpProtocol iphp);
    }
}
