using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.Net.Sockets;

namespace ProjectCarbon
{
    public partial class frmSocketInformation : Form
    {
        public frmSocketInformation()
        {
            InitializeComponent();
        }

        private void frmSocketInformation_Load(object sender, EventArgs e)
        {
            IPAddress[] localIpAddresses = 
                Dns.GetHostEntry(Dns.GetHostName()).AddressList;
            StringBuilder ipAddressesString = new StringBuilder();

            if (localIpAddresses.Length == 0)
            {
                throw new Exception("No IP addresses found on this machine!");
            }
            else if (localIpAddresses.Length == 1)
            {
                lblIpAddresses.Text = localIpAddresses[0].ToString();
            }
            else
            {
                for (int i = 0; i < localIpAddresses.Length; i++)
                    if (i == (localIpAddresses.Length - 1))
                        ipAddressesString.Append(localIpAddresses[i].ToString());
                    else
                        ipAddressesString.Append(localIpAddresses[i].ToString() + ", ");
                lblIpAddresses.Text = ipAddressesString.ToString();
            }
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}